(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2007-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux <Quentin.Carbonneaux@inria.fr>                 *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: config.mli,v 1.15 2014/01/21 09:21:17 fclement Exp $ *)

val get_conf_file : unit -> string option;;
val set_conf_file : string option -> unit;;
val get_timeout : unit -> int;;
val set_timeout : int -> unit;;
val get_slave_port : unit -> int;;
val set_slave_port : int -> unit;;
val get_skl_port : unit -> int;;
val set_skl_port : int -> unit;;
val get_err_length : unit -> int;;
val set_err_length : int -> unit;;
val get_warn_error : unit -> bool;;
val set_warn_error : unit -> unit;;
val get_debug : unit -> bool;;
val set_debug : unit -> unit;;

val get_daemon_path : unit -> string;;
val set_daemon_path : string -> unit;;
